/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EOSegGroupeInfo;
import org.cocktail.kiwi.client.metier.EOSegTypeInfo;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class RemboursementSelectView extends javax.swing.JDialog {

    protected EODisplayGroup eodTransport, eodDetail;
	protected ZEOTable myEOTableTransport, myEOTableDetail;
	protected ZEOTableModel myTableModelTransport, myTableModelDetail;
	protected TableSorter myTableSorterTransport, myTableSorterDetail;

    
    /** Creates new form TemplateJDialog */
    public RemboursementSelectView(java.awt.Frame parent, boolean modal, EODisplayGroup dgTransport, EODisplayGroup dgDetail) {
        super(parent, modal);

        eodTransport = dgTransport;
        eodDetail= dgDetail;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableTransport = new javax.swing.JPanel();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        viewTableDetail = new javax.swing.JPanel();
        tfObservations = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfCommande = new javax.swing.JTextField();
        btnGetCommande = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Sélection d'un remboursement");
        setResizable(false);

        viewTableTransport.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableTransport.setLayout(new java.awt.BorderLayout());

        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        viewTableDetail.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableDetail.setLayout(new java.awt.BorderLayout());

        tfObservations.setEditable(false);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Montant :");

        tfMontant.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Commande Associée :");

        tfCommande.setEditable(false);
        tfCommande.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetCommande)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 269, Short.MAX_VALUE)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 74, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, tfObservations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 665, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(viewTableTransport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 187, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableDetail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 472, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableDetail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 287, Short.MAX_VALUE)
                    .add(viewTableTransport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 287, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfObservations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2))
                .add(19, 19, 19)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(20, 20, 20))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-693)/2, (screenSize.height-444)/2, 693, 444);
    }// </editor-fold>//GEN-END:initComponents

private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed

    dispose();

}//GEN-LAST:event_btnValiderActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	RemboursementSelectView dialog = new RemboursementSelectView(new javax.swing.JFrame(), true, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAnnuler;
    protected javax.swing.JButton btnGetCommande;
    private javax.swing.JButton btnValider;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JTextField tfCommande;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfObservations;
    private javax.swing.JPanel viewTableDetail;
    private javax.swing.JPanel viewTableTransport;
    // End of variables declaration//GEN-END:variables

    
    
    

    private void initGui() {
            	
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
        btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

        btnGetCommande.setIcon(CocktailIcones.ICON_SELECT_16);
        
       	Vector myCols = new Vector();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodTransport, EOSegGroupeInfo.STG_LIBELLE_KEY, "Type", 170);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelTransport = new ZEOTableModel(eodTransport, myCols);
		myTableSorterTransport = new TableSorter(myTableModelTransport);

		myEOTableTransport = new ZEOTable(myTableSorterTransport);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterTransport.setTableHeader(myEOTableTransport.getTableHeader());		

		myEOTableTransport.setBackground(new Color(230, 230, 230));
		myEOTableTransport.setSelectionBackground(new Color(127,155,165));
		myEOTableTransport.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableTransport.setLayout(new BorderLayout());
		viewTableTransport.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableTransport.removeAll();
		viewTableTransport.add(new JScrollPane(myEOTableTransport), BorderLayout.CENTER);

		
       	myCols = new Vector();

		col = new ZEOTableModelColumn(eodDetail, EOSegTypeInfo.STI_LIBELLE_KEY, "Détail", 170);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetail, EOSegTypeInfo.STI_SIGNE_KEY, "Signe", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		
		myTableModelDetail = new ZEOTableModel(eodDetail, myCols);
		myTableSorterDetail = new TableSorter(myTableModelDetail);

		myEOTableDetail = new ZEOTable(myTableSorterDetail);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterDetail.setTableHeader(myEOTableDetail.getTableHeader());		

		myEOTableDetail.setBackground(new Color(230, 230, 230));
		myEOTableDetail.setSelectionBackground(new Color(127,155,165));
		myEOTableDetail.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableDetail.setLayout(new BorderLayout());
		viewTableDetail.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDetail.removeAll();
		viewTableDetail.add(new JScrollPane(myEOTableDetail), BorderLayout.CENTER);

		
		
    }

	public ZEOTable getMyEOTableTransport() {
		return myEOTableTransport;
	}

	public void setMyEOTableTransport(ZEOTable myEOTableTransport) {
		this.myEOTableTransport = myEOTableTransport;
	}

	public ZEOTable getMyEOTableDetail() {
		return myEOTableDetail;
	}

	public void setMyEOTableDetail(ZEOTable myEOTableDetail) {
		this.myEOTableDetail = myEOTableDetail;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnGetCommande() {
		return btnGetCommande;
	}

	public void setBtnGetCommande(javax.swing.JButton btnGetCommande) {
		this.btnGetCommande = btnGetCommande;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JTextField getTfCommande() {
		return tfCommande;
	}

	public void setTfCommande(javax.swing.JTextField tfCommande) {
		this.tfCommande = tfCommande;
	}

	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JTextField getTfObservations() {
		return tfObservations;
	}

	public void setTfObservations(javax.swing.JTextField tfObservations) {
		this.tfObservations = tfObservations;
	}
}
